> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch company details

> This endpoint allows you to get the company details by ID.



## OpenAPI

````yaml get /company/{{company_id}}
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /company/{{company_id}}:
    parameters:
      - name: company_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Companies
      summary: Fetch company details
      description: This endpoint allows you to get the company details by ID.
      operationId: fetchCompanyDetails
      responses:
        '200':
          description: Fetch company details
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=25833
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Tue, 17 Dec 2024 13:50:53 GMT
            ETag:
              schema:
                type: string
                example: W/"821bee8b11a5ce403f5b6d339c2f3189"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 600860a2fda807ac628822c14b5de860.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: CFlAtckCoVwrprwIozN1uN5s9kWEAJsQ4-He48c80bpNfFeKT9ML0Q==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '149'
            x-memc-expires:
              schema:
                type: string
                example: '25833'
            x-memc-key:
              schema:
                type: string
                example: 6feef090464cbf5a8d5b7216dbdf5b11
          content:
            application/json:
              schema:
                type: object
                properties:
                  description:
                    type: string
                    example: ''
                  headquarters:
                    type: string
                    example: Los Angeles, California
                  homepage:
                    type: string
                    example: http://convergence-ent.com/
                  id:
                    type: number
                    example: 7417
                  logo_path:
                    type: string
                    example: /13GyIWMzFvDqJN6I6tZCQYzWr7L.png
                  name:
                    type: string
                    example: Convergence Entertainment
                  origin_country:
                    type: string
                    example: US
                  parent_company:
                    nullable: true
                    example: null
              examples:
                Fetch company details:
                  value:
                    description: ''
                    headquarters: Los Angeles, California
                    homepage: http://convergence-ent.com/
                    id: 7417
                    logo_path: /13GyIWMzFvDqJN6I6tZCQYzWr7L.png
                    name: Convergence Entertainment
                    origin_country: US
                    parent_company: null
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````